Using a Shared gRPC Endpoint for Tron Node.
General gRPC Capability and Functional Background
Tron gRPC API provides high-performance access to network data via gRPC interfaces. It serves as a powerful tool for developers who need to:
- Lower latency and higher throughput – gRPC leverages HTTP/2 and binary Protobuf encoding for faster, more efficient communication than JSON-RPC.
- Strongly typed APIs – Protocol buffer definitions enable compile-time safety and reduce integration errors.
Native streaming support – Clients can subscribe to real-time data (e.g., checkpoints or events) without polling. - Reduced resource consumption – Efficient serialization and connection reuse lower bandwidth and CPU usage.
- Multi-language client generation – Auto-generated SDKs in Go, Rust, Python, TypeScript, and more simplify integration.
Support areas
-
supported networks:tron-mainnet
-
supported methods:
Column 1 Column 2 Column 3 protocol.Wallet/GetAccountprotocol.Wallet/GetAccountByIdprotocol.Wallet/GetAccountBalanceprotocol.Wallet/GetBlockBalanceTraceprotocol.Wallet/CreateTransactionprotocol.Wallet/CreateTransaction2protocol.Wallet/BroadcastTransactionprotocol.Wallet/UpdateAccountprotocol.Wallet/SetAccountIdprotocol.Wallet/UpdateAccount2protocol.Wallet/VoteWitnessAccountprotocol.Wallet/VoteWitnessAccount2protocol.Wallet/CreateAssetIssueprotocol.Wallet/CreateAssetIssue2protocol.Wallet/UpdateWitnessprotocol.Wallet/UpdateWitness2protocol.Wallet/CreateAccountprotocol.Wallet/CreateAccount2protocol.Wallet/CreateWitnessprotocol.Wallet/CreateWitness2protocol.Wallet/TransferAssetprotocol.Wallet/TransferAsset2protocol.Wallet/ParticipateAssetIssueprotocol.Wallet/ParticipateAssetIssue2protocol.Wallet/FreezeBalanceprotocol.Wallet/FreezeBalance2protocol.Wallet/FreezeBalanceV2protocol.Wallet/UnfreezeBalanceprotocol.Wallet/UnfreezeBalance2protocol.Wallet/UnfreezeBalanceV2protocol.Wallet/UnfreezeAssetprotocol.Wallet/UnfreezeAsset2protocol.Wallet/WithdrawBalanceprotocol.Wallet/WithdrawBalance2protocol.Wallet/WithdrawExpireUnfreezeprotocol.Wallet/DelegateResourceprotocol.Wallet/UnDelegateResourceprotocol.Wallet/CancelAllUnfreezeV2protocol.Wallet/UpdateAssetprotocol.Wallet/UpdateAsset2protocol.Wallet/ProposalCreateprotocol.Wallet/ProposalApproveprotocol.Wallet/ProposalDeleteprotocol.Wallet/BuyStorageprotocol.Wallet/BuyStorageBytesprotocol.Wallet/SellStorageprotocol.Wallet/ExchangeCreateprotocol.Wallet/ExchangeInjectprotocol.Wallet/ExchangeWithdrawprotocol.Wallet/ExchangeTransactionprotocol.Wallet/MarketSellAssetprotocol.Wallet/MarketCancelOrderprotocol.Wallet/GetMarketOrderByIdprotocol.Wallet/GetMarketOrderByAccountprotocol.Wallet/GetMarketPriceByPairprotocol.Wallet/GetMarketOrderListByPairprotocol.Wallet/GetMarketPairListprotocol.Wallet/ListNodesprotocol.Wallet/GetAssetIssueByAccountprotocol.Wallet/GetAccountNetprotocol.Wallet/GetAccountResourceprotocol.Wallet/GetAssetIssueByNameprotocol.Wallet/GetAssetIssueListByNameprotocol.Wallet/GetAssetIssueByIdprotocol.Wallet/GetNowBlockprotocol.Wallet/GetNowBlock2protocol.Wallet/GetBlockByNumprotocol.Wallet/GetBlockByNum2protocol.Wallet/GetTransactionCountByBlockNumprotocol.Wallet/GetBlockByIdprotocol.Wallet/GetBlockByLimitNextprotocol.Wallet/GetBlockByLimitNext2protocol.Wallet/GetBlockByLatestNumprotocol.Wallet/GetBlockByLatestNum2protocol.Wallet/GetTransactionByIdprotocol.Wallet/DeployContractprotocol.Wallet/GetContractprotocol.Wallet/GetContractInfoprotocol.Wallet/TriggerContractprotocol.Wallet/TriggerConstantContractprotocol.Wallet/EstimateEnergyprotocol.Wallet/ClearContractABIprotocol.Wallet/ListWitnessesprotocol.Wallet/GetDelegatedResourceprotocol.Wallet/GetDelegatedResourceV2protocol.Wallet/GetDelegatedResourceAccountIndexprotocol.Wallet/GetDelegatedResourceAccountIndexV2protocol.Wallet/GetCanDelegatedMaxSizeprotocol.Wallet/GetAvailableUnfreezeCountprotocol.Wallet/GetCanWithdrawUnfreezeAmountprotocol.Wallet/ListProposalsprotocol.Wallet/GetPaginatedProposalListprotocol.Wallet/GetProposalByIdprotocol.Wallet/ListExchangesprotocol.Wallet/GetPaginatedExchangeListprotocol.Wallet/GetExchangeByIdprotocol.Wallet/GetChainParametersprotocol.Wallet/GetAssetIssueListprotocol.Wallet/GetPaginatedAssetIssueListprotocol.Wallet/TotalTransactionprotocol.Wallet/GetNextMaintenanceTimeprotocol.Wallet/GetTransactionInfoByIdprotocol.Wallet/AccountPermissionUpdateprotocol.Wallet/GetTransactionSignWeightprotocol.Wallet/GetTransactionApprovedListprotocol.Wallet/GetNodeInfoprotocol.Wallet/GetRewardInfoprotocol.Wallet/GetBrokerageInfoprotocol.Wallet/UpdateBrokerageprotocol.Wallet/CreateShieldedTransactionprotocol.Wallet/GetMerkleTreeVoucherInfoprotocol.Wallet/ScanNoteByIvkprotocol.Wallet/ScanAndMarkNoteByIvkprotocol.Wallet/ScanNoteByOvkprotocol.Wallet/GetSpendingKeyprotocol.Wallet/GetExpandedSpendingKeyprotocol.Wallet/GetAkFromAskprotocol.Wallet/GetNkFromNskprotocol.Wallet/GetIncomingViewingKeyprotocol.Wallet/GetDiversifierprotocol.Wallet/GetZenPaymentAddressprotocol.Wallet/GetRcmprotocol.Wallet/IsSpendprotocol.Wallet/CreateShieldedTransactionWithoutSpendAuthSigprotocol.Wallet/GetShieldTransactionHashprotocol.Wallet/CreateSpendAuthSigprotocol.Wallet/CreateShieldNullifierprotocol.Wallet/CreateShieldedContractParametersprotocol.Wallet/CreateShieldedContractParametersWithoutAskprotocol.Wallet/ScanShieldedTRC20NotesByIvkprotocol.Wallet/ScanShieldedTRC20NotesByOvkprotocol.Wallet/IsShieldedTRC20ContractNoteSpentprotocol.Wallet/GetTriggerInputForShieldedTRC20Contractprotocol.Wallet/CreateCommonTransactionprotocol.Wallet/GetTransactionInfoByBlockNumprotocol.Wallet/GetBurnTrxprotocol.Wallet/GetTransactionFromPendingprotocol.Wallet/GetTransactionListFromPendingprotocol.Wallet/GetPendingSizeprotocol.Wallet/GetBlockprotocol.Wallet/GetBandwidthPricesprotocol.Wallet/GetEnergyPricesprotocol.Wallet/GetMemoFeeprotocol.Database/getBlockReferenceprotocol.Database/GetDynamicPropertiesprotocol.Database/GetNowBlockprotocol.Database/GetBlockByNum
Integration Method
- grpc endpoint:https://grpc.zan.top
- Metadata:
- x-token: api key(Required)
- x-network: ecosystem network(Required:tron-mainnet)
Integration Example Guide
- Steps
# Example for Linux AMD64 > wget https://github.com/fullstorydev/grpcurl/releases/download/v1.9.3/grpcurl_1.9.3_linux_x86_64.tar.gz tar -xvf grpcurl_1.9.3_linux_x86_64.tar.gz > mv grpcurl /usr/local/bin/ > grpcurl --version grpcurl v1.9.3 # Clone the repository with minimal depth > git clone https://github.com/tronprotocol/protocol.git --depth=1 > git clone https://github.com/googleapis/googleapis.git --depth=1 > cp -r googleapis/google protocol/ > cd protocol/
- EstimateEnergy
grpcurl -proto api/api.proto \ -d '{"token_id":xxx}' \ -H "x-token: xxx" \ -H "x-network: tron-mainnet" \ grpc.zan.top:443 \ protocol.Wallet/EstimateEnergy
- GetAssetIssueList
grpcurl -proto api/api.proto \ -d '{}' \ -H "x-token: xxx" \ -H "x-network: tron-mainnet" \ grpc.zan.top:443 \ protocol.Wallet/GetAssetIssueList
proto
https://github.com/tronprotocol/protocol
